Auction/Areas/Manager/Controllers/CategoryController.cs
using System.Linq;
using System.Web.Mvc;
using Auction.BusinessLogicLayer.Interfaces;
using Auction.DataAccessLayer.Entities.Shop;
using Auction.ViewModels.Auction;

namespace Auction.Areas.Manager.Controllers
{
    [Authorize(Roles = "Administrators, Managers")]
    public class CategoryController : Controller
    {
        private readonly IUnitOfWorkAuction _repository;
        public CategoryController(IUnitOfWorkAuction unitOfWork)
        {
            _repository = unitOfWork;
        }
        public ActionResult Index()
        {
            var result = _repository.Categories.GetAll().ToList();
            return View(result);
        }

        public ActionResult Create()
        {
            return View();
        }
        [HttpPost]
        public ActionResult Create(CreateCategoryViewModel model)
        {
            if (ModelState.IsValid)
            {
                Category category = new Category
                {
                    Name = model.Name, Description = model.Description, ShortDescription = model.ShortDescription
                };
                var result = _repository.Categories.AddCategory(category, model.File);
                if (result)
                {
                    return RedirectToAction("Index");
                }
            }
            return View(model);
        }
        [HttpGet]
        public ActionResult Edit(int categoryId)
        {
            var category = _repository.Categories.GetById(categoryId);
            if (category!=null)
            {
                ViewBag.Category = category;
                return View();
            }
            return RedirectToAction("Index");
        }
        [HttpPost]
        public ActionResult Edit(EditCategoryViewModel model)
        {
            var category = _repository.Categories.GetById(model.Id);
            ViewBag.Category = category;
            if (ModelState.IsValid)
            {
                var current = new Category
                {
                    Name = model.Name, Description = model.Description, ShortDescription = model.ShortDescription
                };
                if (model.File==null)
                {
                    current.ImageUrl = model.ImageUrl;
                    _repository.Categories.EditCategory(model.Id, current);
                }
                else
                {
                    current.ImageUrl = _repository.Categories.WriteImage(model.File, model.Name);
                    _repository.Categories.EditCategory(model.Id, current);
                }
                return RedirectToAction("Index");
            }
            return View(model);
        }
        
        public ActionResult Delete(int categoryId)
        {
            var result = _repository.Categories.RemoveById(categoryId);
            if (result)
            {
                return RedirectToAction("Index");
            }

            return HttpNotFound();
        }
    }
}

Auction/Areas/Manager/Controllers/ProductController.cs
using System.Web.Mvc;

namespace Auction.Areas.Manager.Controllers
{
    [Authorize(Roles = "Administrators, Managers")]
    public class ProductController : Controller
    {
        // GET
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult ProductsSearch()
        {
            throw new System.NotImplementedException();
        }

        public ActionResult Create()
        {
            throw new System.NotImplementedException();
        }
    }
}

Auction/Areas/Manager/Controllers/SubCategoryController.cs
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using Auction.BusinessLogicLayer.Interfaces;
using Auction.DataAccessLayer.Entities.Shop;
using Auction.ViewModels.Auction;

namespace Auction.Areas.Manager.Controllers
{
    [Authorize(Roles = "Administrators, Managers")]
    public class SubCategoryController : Controller
    {
        private readonly IUnitOfWorkAuction _repository;
        public SubCategoryController(IUnitOfWorkAuction unitOfWork)
        {
            _repository = unitOfWork;
        }
        public ActionResult Index()
        {
            SelectList categories = new SelectList(_repository.Categories.GetAll(), "Name", "Name");
            var selectListItems = categories.Append(new SelectListItem(){Value = @"All", Text = @"All"}).OrderBy(x => x.Text);
            ViewBag.Categories = selectListItems;
            
            return View();
        }

        [HttpPost]
        public ActionResult SubCategorySearch(string name = "All")
        {
            ViewBag.CategoryName = name;
            var result = new List<SubCategory>();
            if (name == "All")
            {
                result = _repository.SubCategories.GetAll().ToList();
            }
            else
            {
                result.AddRange(_repository.Categories.GetAll().Where(category => category.Name == name).SelectMany(category => category.SubCategories));
            }
            ViewBag.SubCategories = result;
            return PartialView();
        }
        [HttpGet]
        public ActionResult Edit(int subcategoryId)
        {
            var subCategory = _repository.SubCategories.GetById(subcategoryId);
            if (subCategory!=null)
            {
                ViewBag.SubCategory = subCategory;
                return View();
            }
            return RedirectToAction("Index");
        }
        [HttpPost]
        public ActionResult Edit(EditSubCategoryViewModel model)
        {
            var subCategory = _repository.SubCategories.GetById(model.Id);
            ViewBag.SubCategory = subCategory;
            if (ModelState.IsValid)
            {
                var current = new SubCategory()
                {
                    Name = model.Name, Description = model.Description, ShortDescription = model.ShortDescription
                };
                if (model.File==null)
                {
                    current.ImageUrl = model.ImageUrl;
                    _repository.SubCategories.EditSubCategory(model.Id, current);
                }
                else
                {
                    current.ImageUrl = _repository.SubCategories.WriteImage(model.File, model.Name);
                    _repository.SubCategories.EditSubCategory(model.Id, current);
                }
                return RedirectToAction("Index");
            }
            return View(model);
        }

        public ActionResult Delete(int subcategoryId)
        {
            var result = _repository.SubCategories.RemoveById(subcategoryId);
            if (result)
            {
                return RedirectToAction("Index");
            }

            return HttpNotFound();
        }

        public ActionResult Create()
        {
            SelectList categories = new SelectList(_repository.Categories.GetAll(), "CategoryId", "Name");
            ViewBag.Categories = categories;
            return View();
        }
        
        [HttpPost]
        public ActionResult Create(CreateSubCategoryViewModel model)
        {
            SelectList categories = new SelectList(_repository.Categories.GetAll(), "CategoryId", "Name");
            ViewBag.Categories = categories;
            if (ModelState.IsValid)
            {
                /*int categoryId = _repository.Categories.Find(x => x.Name == model.CategoryId.ToString()).First().CategoryId;*/
                SubCategory subCategory = new SubCategory
                {
                    Name = model.Name, Description = model.Description, ShortDescription = model.ShortDescription, CategoryId = model.CategoryId
                };
                var result = _repository.SubCategories.AddSubCategory(subCategory, model.File);
                if (result)
                {
                    return RedirectToAction("Index");
                }
            }
            return View(model);
        }
    }
}

Auction/Areas/Manager/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/managerCss")
    @Scripts.Render("~/bundles/modernizr")
    @Scripts.Render("~/bundles/jquery")
</head>
<body>
<section class="content-wrapper">
    <section class="content-without-footer">
        <header>
            <div class="navigation-wrapper">
                <div class="home-button">
                    <a href="@Url.Action("Index", "Home", new {area = ""})">
                        <img src="@Url.Content("~/DataHelpers/SVG/home.svg")" alt="home" />
                        <p class="align-p">Return to main site</p>
                    </a>
                </div>
                <div class="users-button">
                    <a href="@Url.Action("Index", "Category")">
                        <img src="@Url.Content("~/DataHelpers/SVG/categories.svg")" alt="users" />
                        <p class="align-p">Categories</p>
                    </a>
                </div>
                <div class="roles-button">
                    <a href="@Url.Action("Index", "SubCategory")">
                        <img src="@Url.Content("~/DataHelpers/SVG/subcategories.svg")" alt="roles" />
                        <p class="align-p">Subcategories</p>
                    </a>
                </div>
                <div class="roles-button">
                    <a href="@Url.Action("Index", "Product")">
                        <img src="@Url.Content("~/DataHelpers/SVG/products.svg")" alt="roles" />
                        <p class="align-p">Products</p>
                    </a>
                </div>
            </div>
        </header>
        <section class="main-content">
            @RenderBody()
        </section>
    </section>
    <footer>
        footer
    </footer>
</section>


@Scripts.Render("~/bundles/bootstrap")
@RenderSection("scripts", required: false)
</body>
</html>